Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.edit
Class AbstractVisitor

    java.lang.Object
      convert.relaxng.edit.AbstractPatternVisitor<VoidValue>
          convert.relaxng.edit.AbstractVisitor

All Implemented Interfaces:
  AnnotationChildVisitor<VoidValue>, AttributeAnnotationVisitor<VoidValue>, ComponentVisitor<VoidValue>, NameClassVisitor<VoidValue>, PatternVisitor<VoidValue>

    public class AbstractVisitor

extends AbstractPatternVisitor<VoidValue>
implements ComponentVisitor<VoidValue>, NameClassVisitor<VoidValue>, AnnotationChildVisitor<VoidValue>, AttributeAnnotationVisitor<VoidValue>

Constructor Summary
`AbstractVisitor()`

Method Summary
`VoidValue` | `visitAnnotationChild(AnnotationChild ac)`
`VoidValue` | `visitAnyName(AnyNameNameClass nc)`
`VoidValue` | `visitAttribute(AttributeAnnotation a)`
`VoidValue` | `visitChoice(ChoiceNameClass nc)`
`VoidValue` | `visitComment(Comment c)`
`VoidValue` | `visitComponent(Component c)`
`VoidValue` | `visitDefine(DefineComponent c)`
`VoidValue` | `visitDiv(DivComponent c)`
`VoidValue` | `visitElement(ElementAnnotation ea)`
`VoidValue` | `visitInclude(IncludeComponent c)`
`VoidValue` | `visitName(NameNameClass nc)`
`VoidValue` | `visitNameClass(NameClass nc)`
`VoidValue` | `visitNsName(NsNameNameClass nc)`
`VoidValue` | `visitPattern(Pattern p)`
`VoidValue` | `visitText(TextAnnotation ta)`

Methods inherited from class convert.relaxng.edit.AbstractPatternVisitor
`visitAttribute, visitChoice, visitComposite, visitData, visitElement, visitEmpty, visitExternalRef, visitGrammar, visitGroup, visitInterleave, visitList, visitMixed, visitNameClassed, visitNotAllowed, visitOneOrMore, visitOptional, visitParentRef, visitRef, visitText, visitUnary, visitValue, visitZeroOrMore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractVisitor

    public AbstractVisitor()

Method Detail

### visitPattern

    public VoidValue visitPattern(Pattern p)

  Specified by:
    `visitPattern` in class `AbstractPatternVisitor<VoidValue>`

### visitDefine

    public VoidValue visitDefine(DefineComponent c)

  Specified by:
    `visitDefine` in interface `ComponentVisitor<VoidValue>`

### visitDiv

    public VoidValue visitDiv(DivComponent c)

  Specified by:
    `visitDiv` in interface `ComponentVisitor<VoidValue>`

### visitInclude

    public VoidValue visitInclude(IncludeComponent c)

  Specified by:
    `visitInclude` in interface `ComponentVisitor<VoidValue>`

### visitComponent

    public VoidValue visitComponent(Component c)

### visitChoice

    public VoidValue visitChoice(ChoiceNameClass nc)

  Specified by:
    `visitChoice` in interface `NameClassVisitor<VoidValue>`

### visitAnyName

    public VoidValue visitAnyName(AnyNameNameClass nc)

  Specified by:
    `visitAnyName` in interface `NameClassVisitor<VoidValue>`

### visitNsName

    public VoidValue visitNsName(NsNameNameClass nc)

  Specified by:
    `visitNsName` in interface `NameClassVisitor<VoidValue>`

### visitName

    public VoidValue visitName(NameNameClass nc)

  Specified by:
    `visitName` in interface `NameClassVisitor<VoidValue>`

### visitNameClass

    public VoidValue visitNameClass(NameClass nc)

### visitText

    public VoidValue visitText(TextAnnotation ta)

  Specified by:
    `visitText` in interface `AnnotationChildVisitor<VoidValue>`

### visitComment

    public VoidValue visitComment(Comment c)

  Specified by:
    `visitComment` in interface `AnnotationChildVisitor<VoidValue>`

### visitElement

    public VoidValue visitElement(ElementAnnotation ea)

  Specified by:
    `visitElement` in interface `AnnotationChildVisitor<VoidValue>`

### visitAnnotationChild

    public VoidValue visitAnnotationChild(AnnotationChild ac)

### visitAttribute

    public VoidValue visitAttribute(AttributeAnnotation a)

  Specified by:
    `visitAttribute` in interface `AttributeAnnotationVisitor<VoidValue>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD